package de.ozgcloud.eingang.common.zufi;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.eingang.common.zufi.OrganisationsEinheitMapper;

class OrganisationsEinheitMapperTest {

	private final OrganisationsEinheitMapper mapper = Mappers.getMapper(OrganisationsEinheitMapper.class);

	@Test
	void shouldMapFromGrpc() {
		var organisationsEinheit = mapper.fromGrpc(GrpcOrganisationsEinheitTestFactory.create());

		assertThat(organisationsEinheit).usingRecursiveComparison().isEqualTo(OrganisationsEinheitTestFactory.create());
	}
}