package de.ozgcloud.eingang.xdomea;

import java.util.List;

import de.ozgcloud.eingang.common.formdata.IncomingFile;
import de.ozgcloud.eingang.common.formdata.IncomingFileGroup;
import lombok.Builder;
import lombok.Singular;

@Builder
public record XdomeaMessageData(
		IncomingFile metadataFile,
		List<IncomingFile> representations,
		@Singular
		List<IncomingFileGroup> attachments
) {
}
